local ui = require("util.icons").ui

return {
  "NeogitOrg/neogit",

  cmd = "Neogit",

  dependencies = "nvim-lua/plenary.nvim",

  keys = {
    { "<leader>gs", "<cmd>Neogit<cr>", desc = ui.Git .. " [g]it [s]tatus (Neogit)" },
  },

  opts = {
    commit_editor = {
      kind = "tab",
      show_staged_diff = false,
    },

    disable_insert_on_commit = true,

    disable_hint = true,

    graph_style = "unicode",

    signs = {
      section = {
        ui.Folder,
        ui.EmptyFolderOpen,
      },
      item = {
        ui.ChevronRight,
        ui.ChevronDown,
      },
      hunk = {
        ui.ChevronSmallRight,
        ui.ChevronSmallDown,
      },
    },
    mappings = {
      status = {
        o = "GoToFile",
        ["="] = "Toggle",
      },
    },
  },
}
