return {
  "johmsalas/text-case.nvim",

  dependencies = "nvim-telescope/telescope.nvim",

  cmd = {
    "TextCaseOpenTelescope",
    "TextCaseOpenTelescopeQuickChange",
    "TextCaseOpenTelescopeLSPChange",
    "TextCaseStartReplacingCommand",
  },

  dev = true,

  keys = function()
    local icon = require("util.icons").ui.Text
    local description = icon .. " [c]hange text [c]ase"
    local theme = function() return require("telescope.themes").get_cursor() end

    return {
      {
        "<leader>cc",
        function() require("config.plugins.telescope").extensions.textcase.normal_mode(theme()) end,
        mode = "n",
        desc = description,
      },

      --[[

      Ideally this would be the mapping for visual mode, but it doesn't work
      due to bugs in textcase.

      {
        "<leader>cc",
        function()
          require("telescope").extensions.textcase.visual_mode(theme())
        end,
        mode = "v",
        desc = description,
      },

      The mapping below works, but I can't set the theme to `cursor`.

      --]]
      {
        "<leader>cc",
        "<cmd>TextCaseOpenTelescope<cr>",
        mode = "v",
        desc = description,
      },
    }
  end,

  config = function()
    require("textcase").setup {
      default_keymappings_enabled = false,
    }
    require("config.plugins.telescope").load_extension("textcase")
  end,
}
