local keymap = require("config.plugins.telescope").keymap

return {
  "folke/todo-comments.nvim",

  dependencies = {
    "nvim-lua/plenary.nvim",
    "nvim-telescope/telescope.nvim",
  },

  event = { "BufReadPost", "BufNewFile" },

  keys = {
    keymap { "t", "<cmd>TodoTelescope<cr>", desc = "[t]odos" },
  },

  opts = function()
    local ui = require("util.icons").ui
    return {
      keywords = {
        TODO = { icon = ui.Checkbox },
        FIX = { icon = ui.Bug },
        HACK = { icon = ui.Fire },
        WARN = { icon = ui.Warning },
        PERF = { icon = ui.Gauge },
        NOTE = { icon = ui.Note },
        TEST = { icon = ui.TestTube },
      },
      gui_style = { fg = "bold" },
      highlight = {
        multiline = false,
        keyword = "wide_fg",
        after = "",
      },
    }
  end,
}
