return {
  "ntpeters/vim-better-whitespace",

  event = { "BufReadPost", "BufNewFile" },

  init = function()
    vim.g.better_whitespace_filetypes_blacklist = {
      "diff",
      "fugitive",
      "git",
      "gitcommit",
      "help",
    }
  end,

  keys = function()
    local icon = require("util.icons").ui.Whitespace
    return {
      -- stylua: ignore start
      { "]w",        "<cmd>NextTrailingWhitespace<cr>",  desc = icon.." next whitespace"     },
      { "[w",        "<cmd>PrevTrailingWhitespace<cr>",  desc = icon.." previous whitespace" },
      { "<leader>w", "<cmd>ToggleWhitespace<cr>",        desc = icon.." toggle whitespace"   },
      { "<leader>W", "<cmd>StripWhitespace<cr>",         desc = icon.." strip whitespace"    },
      -- stylua: ignore end
    }
  end,
}
